Loading...
Searching...
No Matches
BALL::VIEW::Stage::RaytracingMaterial Class Reference

`#include <BALL/VIEW/KERNEL/stage.h>`

Inheritance diagram for BALL::VIEW::Stage::RaytracingMaterial:

## Additional Inherited Members

Public Member Functions inherited from BALL::VIEW::Stage::Material
| Material ()
virtual void | persistentWrite (PersistenceManager &pm, const char *name=0) const
virtual void | persistentRead (PersistenceManager &pm)
Public Member Functions inherited from BALL::PersistentObject
| PersistentObject ()
virtual | ~PersistentObject ()
PersistenceManager & | operator>> (PersistenceManager &pm) const
virtual void | finalize ()
Public Member Functions inherited from BALL::Object
| Object ()
| Default constructor.
| Object (const Object &object)
| Copy constructor.
virtual | ~Object ()
| Destructor.
virtual void | clear ()
| Clear function of the OCI, doing nothing here.
const Object & | operator= (const Object &)
bool | operator== (const Object &object) const
bool | operator!= (const Object &object) const
bool | operator< (const Object &object) const
bool | operator<= (const Object &object) const
bool | operator>= (const Object &object) const
bool | operator> (const Object &object) const
int | compare (const Object &object) const
virtual bool | isValid () const
virtual void | dump (::std::ostream &s=std::cout, Size depth=0) const
Handle | getHandle () const
Public Member Functions inherited from BALL::AutoDeletable
virtual | ~AutoDeletable ()
void * | operator new (size_t size)
void | operator delete (void *ptr)
void * | operator new (size_t size, void *ptr)
void | operator delete (void *ptr, void *)
bool | isAutoDeletable () const
void | setAutoDeletable (bool enable)
static Handle | getNextHandle ()
static Handle | getNewHandle ()
static void | clearLastPtr ()
ColorRGBA | ambient_color
float | ambient_intensity
ColorRGBA | specular_color
float | specular_intensity
ColorRGBA | reflective_color
float | reflective_intensity
float | shininess
float | transparency
| AutoDeletable ()
| AutoDeletable (const AutoDeletable &auto_deletable, bool deep=false)

## Detailed Description

Definition at line 285 of file stage.h.